> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all references



## OpenAPI

````yaml openapi-leasing.json GET /v1/references
openapi: 3.1.0
info:
  title: Yorlet Leasing API
  description: >-
    APIs for managing applications, deposits, guarantors, references, and
    tenancies.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/references:
    get:
      tags:
        - References
      summary: List all references
      operationId: references_list
      responses:
        '200':
          description: A object with a data property that contains an array of references.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - reference
                        application:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The identifier of the application for the reference.
                        automatic_reference:
                          type:
                            - object
                            - 'null'
                          properties:
                            enabled:
                              type: boolean
                              description: Whether the automatic reference is enabled.
                            last_error:
                              type:
                                - string
                                - 'null'
                              description: The last error for the automatic reference.
                            outcome:
                              type:
                                - string
                                - 'null'
                              description: The provider outcome for the reference.
                            provider_data:
                              type:
                                - object
                                - 'null'
                              properties:
                                advance_rent:
                                  type: object
                                  properties:
                                    affordability:
                                      type: object
                                      properties:
                                        percentage:
                                          type:
                                            - number
                                            - 'null'
                                          description: >-
                                            The affordability percentage assessed by
                                            Advance Rent.
                                        status:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The affordability status assessed by
                                            Advance Rent.
                                      required:
                                        - percentage
                                        - status
                                      description: >-
                                        Affordability assessment from Advance
                                        Rent.
                                    credit_score:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The credit score returned by Advance
                                        Rent.
                                    notes:
                                      type:
                                        - array
                                        - 'null'
                                      items:
                                        type: object
                                        properties:
                                          created:
                                            type: number
                                            description: The time at which the note was created.
                                          message:
                                            type: string
                                            description: The content of the note.
                                        required:
                                          - created
                                          - message
                                      description: >-
                                        Notes returned by Advance Rent during
                                        the reference check.
                                    progress:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The progress of the reference check, as
                                        a percentage.
                                    sanctions_passed:
                                      type:
                                        - boolean
                                        - 'null'
                                      description: Whether the sanctions check passed.
                                  required:
                                    - affordability
                                    - credit_score
                                    - notes
                                    - progress
                                    - sanctions_passed
                                  description: Advance Rent reference check data.
                                type:
                                  type: string
                                  enum:
                                    - advance_rent
                                  description: The provider this data is for.
                              required:
                                - advance_rent
                                - type
                              description: The provider specific data for the reference.
                            provider:
                              type:
                                - string
                                - 'null'
                              enum:
                                - advance_rent
                                - canopy
                                - homelet
                                - let_alliance
                                - null
                              description: The provider to use with automatic referencing.
                            status:
                              type:
                                - string
                                - 'null'
                              description: The provider status for the reference.
                          required:
                            - enabled
                            - last_error
                            - outcome
                            - provider_data
                            - provider
                            - status
                          description: Automatic reference settings for this reference.
                        completed_at:
                          type:
                            - integer
                            - 'null'
                          description: The timestamp of the reference completion.
                        customer:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The customer for the reference.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: The metadata for the reference.
                        outcome:
                          type:
                            - string
                            - 'null'
                          enum:
                            - accept
                            - consider
                            - high_risk
                            - null
                          description: The outcome of the reference.
                        reference_pdf:
                          type:
                            - string
                            - 'null'
                          pattern: ^[a-zA-Z0-9_]+$
                          description: The file of the completed reference PDF.
                        status:
                          type: string
                          enum:
                            - pending
                            - processing
                            - complete
                            - canceled
                          description: The status of the reference.
                        type:
                          type: string
                          enum:
                            - customer
                          description: The reference type.
                      required:
                        - id
                        - created
                        - object
                        - application
                        - automatic_reference
                        - completed_at
                        - customer
                        - outcome
                        - reference_pdf
                        - status
                        - type
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````